package com.ss.android.ugc.aweme.services;

import X.2rI;
import X.Lnj;
import android.util.Pair;
import com.bytedance.covode.number.Covode;
import com.bytedance.frameworks.apm.trace.MethodCollector;
import com.ss.android.ugc.aweme.local_test.LocalTestApi;
import com.ss.android.ugc.aweme.notice.api.helper.IMainServiceHelper;
import kotlin.h.b.n;

public final class MainServiceHelperImpl implements IMainServiceHelper {
    static {
        Covode.recordClassIndex(105120);
    }

    public final Pair<Boolean, String> getBoeConfig() {
        Boolean valueOf = Boolean.valueOf(2rI.LIZ.LIZ.enableBoe());
        LocalTestApi localTestApi = 2rI.LIZ.LIZ;
        n.LIZIZ(localTestApi, "");
        return new Pair<>(valueOf, localTestApi.getBoeLane());
    }

    public static IMainServiceHelper createIMainServiceHelperbyMonsterPlugin(boolean z) {
        MethodCollector.i(3485);
        IMainServiceHelper iMainServiceHelper = (IMainServiceHelper) Lnj.LIZ(IMainServiceHelper.class, z);
        if (iMainServiceHelper != null) {
            MethodCollector.o(3485);
            return iMainServiceHelper;
        }
        Object LIZIZ = Lnj.LIZIZ(IMainServiceHelper.class, z);
        if (LIZIZ != null) {
            IMainServiceHelper iMainServiceHelper2 = (IMainServiceHelper) LIZIZ;
            MethodCollector.o(3485);
            return iMainServiceHelper2;
        }
        if (Lnj.at == null) {
            synchronized (IMainServiceHelper.class) {
                try {
                    if (Lnj.at == null) {
                        Lnj.at = new MainServiceHelperImpl();
                    }
                } catch (Throwable th) {
                    MethodCollector.o(3485);
                    throw th;
                }
            }
        }
        MainServiceHelperImpl mainServiceHelperImpl = (MainServiceHelperImpl) Lnj.at;
        MethodCollector.o(3485);
        return mainServiceHelperImpl;
    }
}
